<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>bound &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>bound
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">15 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/interpolation.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/interpolation.f03.html'>interpolation.f03</a></li>
    
     <li><a href='../module/interpolation.html'>interpolation</a></li>
    
  
     <li class="active">bound</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine bound(field, lowerBound, boundType)
    
    
   
</h2>
    
  


    
    <p>bound counds a field using the selected methods</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E89"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-lowerbound%7E4"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>lowerBound</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-boundtype%7E2"></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>boundType</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~bound~~CallsGraph Pages: 1 -->
<svg id="procboundCallsGraph" width="641pt" height="180pt"
 viewBox="0.00 0.00 641.00 179.55" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~bound~~CallsGraph" class="graph" transform="scale(.8978 .8978) rotate(0) translate(4 196)">
<title>proc~~bound~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 710,-196 710,4 -4,4"/>
<!-- proc~bound -->
<g id="proc~~bound~~CallsGraph_node1" class="node">
<title>proc~bound</title>
<polygon fill="none" stroke="#000000" points="54,-129 0,-129 0,-105 54,-105 54,-129"/>
<text text-anchor="middle" x="27" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">bound</text>
</g>
<!-- proc~lowercase -->
<g id="proc~~bound~~CallsGraph_node2" class="node">
<title>proc~lowercase</title>
<g id="a_proc~~bound~~CallsGraph_node2"><a xlink:href=".././proc/lowercase.html" xlink:title="lowercase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="180,-150 119,-150 119,-126 180,-126 180,-150"/>
<text text-anchor="middle" x="149.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lowercase</text>
</a>
</g>
</g>
<!-- proc~bound&#45;&gt;proc~lowercase -->
<g id="proc~~bound~~CallsGraph_edge1" class="edge">
<title>proc~bound&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M54.1867,-121.6606C70.2887,-124.4209 90.9958,-127.9707 108.9935,-131.056"/>
<polygon fill="#000000" stroke="#000000" points="108.4959,-134.5217 118.9435,-132.7617 109.6787,-127.6223 108.4959,-134.5217"/>
</g>
<!-- proc~boundwithfacevalues -->
<g id="proc~~bound~~CallsGraph_node3" class="node">
<title>proc~boundwithfacevalues</title>
<g id="a_proc~~bound~~CallsGraph_node3"><a xlink:href=".././proc/boundwithfacevalues.html" xlink:title="boundWithFaceValues">
<polygon fill="#d9534f" stroke="#d9534f" points="209,-108 90,-108 90,-84 209,-84 209,-108"/>
<text text-anchor="middle" x="149.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">boundWithFaceValues</text>
</a>
</g>
</g>
<!-- proc~bound&#45;&gt;proc~boundwithfacevalues -->
<g id="proc~~bound~~CallsGraph_edge2" class="edge">
<title>proc~bound&#45;&gt;proc~boundwithfacevalues</title>
<path fill="none" stroke="#000000" d="M54.1867,-112.3394C61.9513,-111.0083 70.7868,-109.4937 79.873,-107.9361"/>
<polygon fill="#000000" stroke="#000000" points="80.5271,-111.3751 89.7919,-106.2357 79.3443,-104.4757 80.5271,-111.3751"/>
</g>
<!-- proc~faceaveraging -->
<g id="proc~~bound~~CallsGraph_node4" class="node">
<title>proc~faceaveraging</title>
<g id="a_proc~~bound~~CallsGraph_node4"><a xlink:href=".././proc/faceaveraging.html" xlink:title="faceAveraging">
<polygon fill="#d94e8f" stroke="#d94e8f" points="326,-108 245,-108 245,-84 326,-84 326,-108"/>
<text text-anchor="middle" x="285.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">faceAveraging</text>
</a>
</g>
</g>
<!-- proc~boundwithfacevalues&#45;&gt;proc~faceaveraging -->
<g id="proc~~bound~~CallsGraph_edge3" class="edge">
<title>proc~boundwithfacevalues&#45;&gt;proc~faceaveraging</title>
<path fill="none" stroke="#000000" d="M209.1516,-96C217.5822,-96 226.1866,-96 234.4359,-96"/>
<polygon fill="#000000" stroke="#000000" points="234.6552,-99.5001 244.6552,-96 234.6552,-92.5001 234.6552,-99.5001"/>
</g>
<!-- proc~interpolate -->
<g id="proc~~bound~~CallsGraph_node5" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~bound~~CallsGraph_node5"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="425,-108 362,-108 362,-84 425,-84 425,-108"/>
<text text-anchor="middle" x="393.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~faceaveraging&#45;&gt;proc~interpolate -->
<g id="proc~~bound~~CallsGraph_edge4" class="edge">
<title>proc~faceaveraging&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M326.0225,-96C334.4479,-96 343.341,-96 351.8077,-96"/>
<polygon fill="#000000" stroke="#000000" points="351.8637,-99.5001 361.8637,-96 351.8636,-92.5001 351.8637,-99.5001"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~bound~~CallsGraph_node6" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="594,-192 479,-192 479,-168 594,-168 594,-192"/>
<text text-anchor="middle" x="536.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~bound~~CallsGraph_edge5" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M403.1878,-108.0396C415.2646,-122.2625 437.2317,-145.6704 461,-159 464.4394,-160.9289 468.0679,-162.6902 471.7984,-164.2971"/>
<polygon fill="#000000" stroke="#000000" points="470.6442,-167.6038 481.2323,-167.9811 473.1905,-161.0833 470.6442,-167.6038"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~bound~~CallsGraph_node7" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="606,-150 467,-150 467,-126 606,-126 606,-150"/>
<text text-anchor="middle" x="536.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~bound~~CallsGraph_edge6" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M425.0326,-106.0273C436.3524,-109.5694 449.2273,-113.5323 461,-117 467.9088,-119.035 475.1887,-121.1264 482.3909,-123.1638"/>
<polygon fill="#000000" stroke="#000000" points="481.5477,-126.5623 492.1217,-125.8982 483.4414,-119.8233 481.5477,-126.5623"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~bound~~CallsGraph_node8" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="579,-108 494,-108 494,-84 579,-84 579,-108"/>
<text text-anchor="middle" x="536.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~bound~~CallsGraph_edge7" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M425.2363,-96C442.4033,-96 464.0544,-96 483.6848,-96"/>
<polygon fill="#000000" stroke="#000000" points="483.7315,-99.5001 493.7315,-96 483.7315,-92.5001 483.7315,-99.5001"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~bound~~CallsGraph_node9" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="609,-66 464,-66 464,-42 609,-42 609,-66"/>
<text text-anchor="middle" x="536.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~bound~~CallsGraph_edge8" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M425.0326,-85.9727C436.3524,-82.4306 449.2273,-78.4677 461,-75 467.9088,-72.965 475.1887,-70.8736 482.3909,-68.8362"/>
<polygon fill="#000000" stroke="#000000" points="483.4414,-72.1767 492.1217,-66.1018 481.5477,-65.4377 483.4414,-72.1767"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~bound~~CallsGraph_node10" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~bound~~CallsGraph_node10"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="612,-24 461,-24 461,0 612,0 612,-24"/>
<text text-anchor="middle" x="536.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~bound~~CallsGraph_edge9" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M403.1878,-83.9604C415.2646,-69.7375 437.2317,-46.3296 461,-33 464.4394,-31.0711 468.0679,-29.3098 471.7984,-27.7029"/>
<polygon fill="#000000" stroke="#000000" points="473.1905,-30.9167 481.2323,-24.0189 470.6442,-24.3962 473.1905,-30.9167"/>
</g>
<!-- flubiostop -->
<g id="proc~~bound~~CallsGraph_node11" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="706,-24 648,-24 648,0 706,0 706,-24"/>
<text text-anchor="middle" x="677" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~bound~~CallsGraph_edge10" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M612.0965,-12C620.9482,-12 629.686,-12 637.7435,-12"/>
<polygon fill="#000000" stroke="#000000" points="637.8963,-15.5001 647.8963,-12 637.8963,-8.5001 637.8963,-15.5001"/>
</g>
</g>
</svg>
</div><script>var panprocboundCallsGraph = svgPanZoom('#procboundCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~bound~~CalledByGraph Pages: 1 -->
<svg id="procboundCalledByGraph" width="239pt" height="158pt"
 viewBox="0.00 0.00 239.00 158.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~bound~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 154)">
<title>proc~~bound~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 235,-154 235,4 -4,4"/>
<!-- proc~bound -->
<g id="proc~~bound~~CalledByGraph_node1" class="node">
<title>proc~bound</title>
<polygon fill="none" stroke="#000000" points="231,-87 177,-87 177,-63 231,-63 231,-87"/>
<text text-anchor="middle" x="204" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">bound</text>
</g>
<!-- proc~updateeddyviscositysst -->
<g id="proc~~bound~~CalledByGraph_node2" class="node">
<title>proc~updateeddyviscositysst</title>
<g id="a_proc~~bound~~CalledByGraph_node2"><a xlink:href=".././proc/updateeddyviscositysst.html" xlink:title="updateEddyViscositySST">
<polygon fill="#d9534f" stroke="#d9534f" points="136,-150 5,-150 5,-126 136,-126 136,-150"/>
<text text-anchor="middle" x="70.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">updateEddyViscositySST</text>
</a>
</g>
</g>
<!-- proc~updateeddyviscositysst&#45;&gt;proc~bound -->
<g id="proc~~bound~~CalledByGraph_edge1" class="edge">
<title>proc~updateeddyviscositysst&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M118.2481,-125.8937C126.0007,-123.3298 133.8319,-120.3637 141,-117 154.8451,-110.5031 169.118,-101.2367 180.5702,-93.06"/>
<polygon fill="#000000" stroke="#000000" points="182.7277,-95.8182 188.7242,-87.0836 178.5896,-90.1723 182.7277,-95.8182"/>
</g>
<!-- proc~updateeddyviscositywilcox -->
<g id="proc~~bound~~CalledByGraph_node3" class="node">
<title>proc~updateeddyviscositywilcox</title>
<g id="a_proc~~bound~~CalledByGraph_node3"><a xlink:href=".././proc/updateeddyviscositywilcox.html" xlink:title="updateEddyViscosityWilcox">
<polygon fill="#d9534f" stroke="#d9534f" points="141,-108 0,-108 0,-84 141,-84 141,-108"/>
<text text-anchor="middle" x="70.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">updateEddyViscosityWilcox</text>
</a>
</g>
</g>
<!-- proc~updateeddyviscositywilcox&#45;&gt;proc~bound -->
<g id="proc~~bound~~CalledByGraph_edge2" class="edge">
<title>proc~updateeddyviscositywilcox&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M141.1591,-84.8851C150.0306,-83.4896 158.8096,-82.1086 166.8665,-80.8412"/>
<polygon fill="#000000" stroke="#000000" points="167.6547,-84.2604 176.9893,-79.2489 166.5669,-77.3454 167.6547,-84.2604"/>
</g>
<!-- proc~kappaomega -->
<g id="proc~~bound~~CalledByGraph_node4" class="node">
<title>proc~kappaomega</title>
<g id="a_proc~~bound~~CalledByGraph_node4"><a xlink:href=".././proc/kappaomega.html" xlink:title="kappaOmega">
<polygon fill="#d9534f" stroke="#d9534f" points="109,-66 32,-66 32,-42 109,-42 109,-66"/>
<text text-anchor="middle" x="70.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">kappaOmega</text>
</a>
</g>
</g>
<!-- proc~kappaomega&#45;&gt;proc~bound -->
<g id="proc~~bound~~CalledByGraph_edge3" class="edge">
<title>proc~kappaomega&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M109.1137,-60.0741C127.2669,-62.9296 148.8185,-66.3198 166.7909,-69.1469"/>
<polygon fill="#000000" stroke="#000000" points="166.4839,-72.6416 176.9064,-70.7381 167.5718,-65.7266 166.4839,-72.6416"/>
</g>
<!-- proc~spalartallmarasmodel -->
<g id="proc~~bound~~CalledByGraph_node5" class="node">
<title>proc~spalartallmarasmodel</title>
<g id="a_proc~~bound~~CalledByGraph_node5"><a xlink:href=".././proc/spalartallmarasmodel.html" xlink:title="spalartAllmarasModel">
<polygon fill="#d9534f" stroke="#d9534f" points="128,-24 13,-24 13,0 128,0 128,-24"/>
<text text-anchor="middle" x="70.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">spalartAllmarasModel</text>
</a>
</g>
</g>
<!-- proc~spalartallmarasmodel&#45;&gt;proc~bound -->
<g id="proc~~bound~~CalledByGraph_edge4" class="edge">
<title>proc~spalartallmarasmodel&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M118.2481,-24.1063C126.0007,-26.6702 133.8319,-29.6363 141,-33 154.8451,-39.4969 169.118,-48.7633 180.5702,-56.94"/>
<polygon fill="#000000" stroke="#000000" points="178.5896,-59.8277 188.7242,-62.9164 182.7277,-54.1818 178.5896,-59.8277"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>